Skip to content
This repository
Browse code

ultra simple installation instructions

  • Loading branch information...
commit 9ede2142f73855690625c46a06e4679f3d7e1777 1 parent d0474fa
Mislav Marohnić authored

Showing 1 changed file with 3 additions and 18 deletions. Show diff stats Hide diff stats

  1. +3 18 README.md
21 README.md
Source Rendered
@@ -2,31 +2,16 @@
2 2
3 3 will_paginate is a pagination library that integrates with Ruby on Rails, Sinatra, Merb, DataMapper and Sequel.
4 4
5   -Quick install:
  5 +Installation:
6 6
7 7 ``` ruby
8   -## Rails 3, Sinatra, Merb: Gemfile
  8 +## Gemfile for Rails 3, Sinatra, and Merb
9 9 gem 'will_paginate', '~> 3.0.pre4'
10   -
11   -## Sinatra app also needs:
12   -require 'will_paginate'
13   -require 'will_paginate/active_record' # or "data_mapper" or "sequel"
14   -```
15   -
16   -Latest will_paginate doesn't support Rails older than 3.0 anymore. If you run an older version of Rails, you have to use the 2.3.x version of will_paginate:
17   -
18   -``` ruby
19   -## Rails 2.1 - 2.3: environment.rb
20   -Rails::Initializer.run do |config|
21   - config.gem 'will_paginate', :version => '~> 2.3.15'
22   -end
23   -
24   -## Rails 1.2 - 2.0: environment.rb
25   -require 'will_paginate'
26 10 ```
27 11
28 12 See [installation instructions][install] on the wiki for more info.
29 13
  14 +
30 15 ## Basic will_paginate use
31 16
32 17 ``` ruby

0 comments on commit 9ede214

Please sign in to comment.
Something went wrong with that request. Please try again.